All SelfServe feature classes need to derive from the SelfServeBaseClass

### Hierarchy

- SelfServeBaseClass

## Index

### Constructors

- constructor

### Properties

- initialize
- onRefresh
- onSave

## Constructors

### constructor

- new SelfServeBaseClass(): SelfServeBaseClass

- #### Returns SelfServeBaseClass

## Properties

### Abstract initialize

initialize: initializeCallback

Sets default values for the properties of the Self Serve Class. Typically, you can make rest calls here to fetch the initial values for the properties. This is also called after the onSave callback, to reinitialize the defaults.

### Abstract onRefresh

onRefresh: () => Promise< RefreshResult >

Callback that is triggered when the refresh button is clicked. Here, you should perform the your rest API call to check if the update action is completed.

#### Type declaration

- - (): Promise< RefreshResult >

  - #### Returns Promise< RefreshResult >

### Abstract onSave

onSave: onSaveCallback

Callback that is triggerred when the submit button is clicked. You should perform your rest API calls here using the data from the different inputs passed as a Map to this callback function.

Generated using TypeDoc